import Button from "/view/cmp/button/Button.jsx";
import LabeledField from "../../cmp/field/LabeledField.jsx";
import PhoneInput from "../../cmp/field/PhoneInput.jsx";
import Input from "../../cmp/field/Input";
import { AsyncAuthAjax } from "../../../controller/Ajax";
import {API} from "../../../dict/Consts";
const TestRequests = D.declare('view.page.tmp.TestRequests', () => {
  let response;
  return <div>
        Курвалол
    <button onclick={async()=>{
      const result = await AsyncAuthAjax.get(API.ENDPOINTS.GET_USER(store.get('account.userID')));
      response.innerText = JSON.stringify(result, null, 2);
    }}>Get user</button>
    <div className='error-block'>{response = <div></div>}</div>
  </div>
});

export default TestRequests;
export {TestRequests};